#include <iostream>
#include <string>

using namespace std;

int main()
{
    string x,y,rez="";
    cin >> x >> y;
    int n=x.size(),m=y.size();
    n--;
    m--;
    //cout << n << endl;
    while(n>=0 && m>=0){
        if(x[n]>y[m]){
            //rez.append(x,n,n+1);
            rez.insert(0,x,n,1);
        }
        else if(x[n]==y[m]){
            rez.insert(0,x,n,1);
            rez.insert(0,x,n,1);
            //rez.append(y,m,m+1);
            //rez.append(x,n,n+1);
        }
        else{
            rez.insert(0,y,m,1);
            //rez.append(y,m,m+1);
        }
        //cout << rez << endl;
        n--;
        m--;
    }
    while(n>=0 || m>=0){
        if(n>=0){
            rez.insert(0,x,n,1);
            //rez.append(x,n,n+1);
        }
        else{
            rez.insert(0,y,m,1);
            //rez.append(y,m,m+1);
        }
        n--;
        m--;
    }/**
    n=rez.size();
    for (int i=0;i<n/2;i++)
        swap(rez[i], rez[n - i - 1]);*/
    cout << rez << endl;
    return 0;
}